#include "ScoreDisplay.h"
#include <qlcdnumber.h>
#include <qlabel.h>
#include <qvbox.h>
#include <qstring.h>

ScoreDisplay::ScoreDisplay(const char* playerName, QWidget* parent, const char* name)
:QVBox(parent, name)
{
	Score = new QLCDNumber(3, this, name);
	QLabel* Name = new QLabel(QString(playerName), this);
}

int ScoreDisplay::intValue() const
{
	return Score->intValue();
}

void ScoreDisplay::display(int num)
{
	Score->display(num);
}

void ScoreDisplay::setMinimumSize(int x, int y)
{
	Score->setMinimumSize(x,y);
}