#include <qvbox.h>

// classes used in ScoreDisplay declaration........
class QLCDNumber;
class QLabel;

//****************************************************************
//	ScoreDisplay class
//
//	Purpose:	displays a players score and name
//
//	this is a simple mod of QLCDNumber that adds a label below it
//****************************************************************
class ScoreDisplay : public QVBox
{
	Q_OBJECT

private:

	QLCDNumber* Score;

public:

	ScoreDisplay(const char*, QWidget* parent=0, const char* name=0);

	int intValue() const;
		//returns the value of QLCDNumber

	void setMinimumSize(int, int);
		//setsMinimumSize of QLCDNumber Score

public slots:

	void display(int);
		//set number displayed in score
};
